Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232797 - Review Request: tasks - A simple to do list application that uses libecal
Summary: Review Request: tasks - A simple to do list application that uses libecal
Keywords:
Status: CLOSED DUPLICATE of bug 230806
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 23:05 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-26 07:05:12 UTC


Attachments (Terms of Use)

Description Damien Durand 2007-03-17 23:05:27 UTC
Spec URL: http://glive.tuxfamily.org/fedora/tasks/tasks.spec
SRPM URL: http://glive.tuxfamily.org/fedora/tasks/tasks-0.4-1.src.rpm
Description: Tasks is a simple to do list application that uses libecal, part of 
Embedded Evolution Data Server

Comment 1 Paul Nasrat 2007-03-19 17:51:00 UTC
Taking for review.

Comment 2 Paul Nasrat 2007-03-19 18:14:31 UTC
rpmlint clean:

rpmlint -v ~/tasks-0.4-1.src.rpm 
I: tasks checking

Package meets naming guidelines. 
Spec file matches base name
Package is open-source (GPL).
License field matches license
COPYING marked as %doc
Spec in US English
Spec legible
Sources match independantly downloaded tgz:

md5sum tasks-0.4.tar.gz ../SOURCES/tasks-0.4.tar.gz 
c68ad2a0fa21c379195b7e93467d73b5  tasks-0.4.tar.gz
c68ad2a0fa21c379195b7e93467d73b5  ../SOURCES/tasks-0.4.tar.gz
Builds on FC6 i386
Uses find_lang macro
No shared libraries
Package is not relocatable
Package owns all directories
No duplicate files
Permissions correct and uses defattr
Package contains %clean 
Macro use conforms to guidelines
Package contains code
No large docs
No devel pkg, headers or static libraries or pkgconfig or libraries or .la files
Package contains desktop file and runs appropriate desktop-file-install in %install
Package meets Packaging Guidelines.


FIX: package should NOT own directories owned by other packages - in this case
the /usr/share/icons/ hierachy maybe use a glob rather than the current entry

%{_datadir}/icons/hicolor/*/apps/%{name}.*
    

Comment 3 Damien Durand 2007-03-19 19:51:49 UTC
Fixed and rebuilt

New release 

SPEC: http://glive.tuxfamily.org/fedora/tasks/tasks.spec
SRPMS: http://glive.tuxfamily.org/fedora/tasks/tasks-0.4-2.src.rpm 

Comment 4 Dan Young 2007-03-20 21:26:50 UTC
FWIW, I submitted tasks for review a few weeks back. As I'm a new Fedora
contributer, I'm seeking sponsorship also.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=230806

Comment 5 Bernard Johnson 2007-04-11 22:34:02 UTC
Setting FE-NEEDSPONSOR blocker.

Comment 6 Mamoru TASAKA 2007-04-26 07:05:12 UTC
Well, actually I reviewed bug 230806 and 
the review is already finished......

Closing as duplicate.

*** This bug has been marked as a duplicate of 230806 ***


Note You need to log in before you can comment on or make changes to this bug.